#! /usr/bin/python

import subprocess
import glob
import sys
import os

os.chdir (os.path.dirname (__file__))

if not os.path.isdir ('exec'):
  if subprocess.call (['python', 'setup.py', 'install', '--prefix=exec']) != 0:
    sys.exit ('Error: setup.py failed')
try:
  os.environ['PYTHONPATH'] = os.path.abspath (glob.glob (os.path.join ('exec', 'lib', '*', '*'))[0]) + ':' + os.environ['PYTHONPATH']
except:
  os.environ['PYTHONPATH'] = os.path.abspath (glob.glob (os.path.join ('exec', 'lib', '*', '*'))[0])
args = [os.path.join (os.getcwd (), 'exec', 'bin', 'xbrightness-rgbgamma'),]
for a in sys.argv[1:]:
  args.append (a)
sys.exit (subprocess.call (args))
