#! /usr/bin/python

import glob
import os

(name, version) = os.path.basename (os.path.dirname (os.getcwd ())).rsplit ('-', 1)

cmd_ui = 'xgettext' \
         ' --language=Glade' \
         ' --copyright-holder={copyright}' \
         ' --package-name={name}' \
         ' --package-version={version}' \
         ' --from-code=UTF-8' \
         ' -j' \
         ' -o {name}.pot' \
         ' '.format (copyright='kakurasan', name=name, version=version)

cmd_py = 'xgettext' \
         ' --language=Python' \
         ' --add-comments=TRANSLATORS:' \
         ' --copyright-holder={copyright}' \
         ' --package-name={name}' \
         ' --package-version={version}' \
         ' --from-code=UTF-8' \
         ' -j' \
         ' -k_' \
         ' -kngettext' \
         ' -o {name}.pot' \
         ' '.format (copyright='kakurasan', name=name, version=version)

f = open ('{name}.pot'.format (name=name), 'w')
f.close ()
for infile in glob.glob (os.path.join ('..', 'xbrightness_rgbgamma', '*.ui')):
  os.system (cmd_ui + infile)
for infile in glob.glob (os.path.join ('..', 'xbrightness_rgbgamma', '*.py')):
  os.system (cmd_py + infile)
